<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1107
Name: Diastolic Blood Pressure
Description: Diastolic Blood Pressure: Diastolische bloeddruk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531">
   <title>Diastolic Blood Pressure</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]
Item: (DiastolicBloodPressure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]"
         id="d39e2913-false-d3118e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]) &lt;= 1">(DiastolicBloodPressure): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]
Item: (DiastolicBloodPressure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]"
         id="d39e2936-false-d3135e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(DiastolicBloodPressure): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="string(@moodCode) = ('EVN')">(DiastolicBloodPressure): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']) &gt;= 1">(DiastolicBloodPressure): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']) &lt;= 1">(DiastolicBloodPressure): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="count(hl7:code[(@code = '271650006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(DiastolicBloodPressure): element hl7:code[(@code = '271650006' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="count(hl7:code[(@code = '271650006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(DiastolicBloodPressure): element hl7:code[(@code = '271650006' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="count(hl7:value) &lt;= 1">(DiastolicBloodPressure): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']
Item: (DiastolicBloodPressure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']"
         id="d39e2942-false-d3196e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiastolicBloodPressure): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.1107')">(DiastolicBloodPressure): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1107' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]/hl7:code[(@code = '271650006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (DiastolicBloodPressure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]/hl7:code[(@code = '271650006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d39e2947-false-d3216e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiastolicBloodPressure): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="string(@code) = ('271650006')">(DiastolicBloodPressure): de waarde van code MOET '271650006' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="@displayName">(DiastolicBloodPressure): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(DiastolicBloodPressure): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(DiastolicBloodPressure): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(DiastolicBloodPressure): attribuut @codeSystemName MOET datatype 'st' hebben  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1107
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]/hl7:value
Item: (DiastolicBloodPressure)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.1107']]/hl7:value"
         id="d39e2962-false-d3257e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiastolicBloodPressure): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(DiastolicBloodPressure): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(DiastolicBloodPressure): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
