<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.430
Name: Clinical Trial Patient Consent
Description: Clinical Trial Patient Consent: Bevat toestemmingsgegevens voor wetenschappelijk onderzoek
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922">
   <title>Clinical Trial Patient Consent</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.430
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]
Item: (ClinicalTrialPatientConsent)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]"
         id="d39e10363-false-d26037e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]) &gt;= 1">(ClinicalTrialPatientConsent): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]) &lt;= 1">(ClinicalTrialPatientConsent): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.430
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]
Item: (ClinicalTrialPatientConsent)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]"
         id="d39e10386-false-d26060e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(ClinicalTrialPatientConsent): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="string(@moodCode) = ('EVN')">(ClinicalTrialPatientConsent): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="@negationInd">(ClinicalTrialPatientConsent): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ClinicalTrialPatientConsent): attribuut @negationInd MOET datatype 'bl' hebben  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']) &gt;= 1">(ClinicalTrialPatientConsent): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']) &lt;= 1">(ClinicalTrialPatientConsent): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:code[(@code = '399174000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ClinicalTrialPatientConsent): element hl7:code[(@code = '399174000' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:code[(@code = '399174000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ClinicalTrialPatientConsent): element hl7:code[(@code = '399174000' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ClinicalTrialPatientConsent): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ClinicalTrialPatientConsent): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.430
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']
Item: (ClinicalTrialPatientConsent)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']"
         id="d39e10403-false-d26137e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalTrialPatientConsent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.430')">(ClinicalTrialPatientConsent): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.430' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.430
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]/hl7:code[(@code = '399174000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ClinicalTrialPatientConsent)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]/hl7:code[(@code = '399174000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d39e10409-false-d26157e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalTrialPatientConsent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="string(@code) = ('399174000')">(ClinicalTrialPatientConsent): de waarde van code MOET '399174000' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="@displayName">(ClinicalTrialPatientConsent): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(ClinicalTrialPatientConsent): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(ClinicalTrialPatientConsent): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(ClinicalTrialPatientConsent): attribuut @codeSystemName MOET datatype 'st' hebben  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.430
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]/hl7:text[not(@nullFlavor)]
Item: (ClinicalTrialPatientConsent)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.430']]/hl7:text[not(@nullFlavor)]"
         id="d39e10424-false-d26198e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalTrialPatientConsent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
