<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9017
Name: Communicatie Toelichting Act
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218">
   <title>Communicatie Toelichting Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9017
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]
Item: (CommunicatieToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]"
         id="d39e16369-false-d84053e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="string(@classCode) = ('ACT')">(CommunicatieToelichtingAct): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="string(@moodCode) = ('EVN')">(CommunicatieToelichtingAct): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']) &gt;= 1">(CommunicatieToelichtingAct): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']) &lt;= 1">(CommunicatieToelichtingAct): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="count(hl7:code[(@code = '445046002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(CommunicatieToelichtingAct): element hl7:code[(@code = '445046002' and @codeSystem = '2.16.840.1.113883.6.96')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="count(hl7:code[(@code = '445046002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(CommunicatieToelichtingAct): element hl7:code[(@code = '445046002' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="count(hl7:text) &gt;= 1">(CommunicatieToelichtingAct): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="count(hl7:text) &lt;= 1">(CommunicatieToelichtingAct): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9017
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']
Item: (CommunicatieToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']"
         id="d39e16375-false-d84120e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommunicatieToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.9017')">(CommunicatieToelichtingAct): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.9017' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9017
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:code[(@code = '445046002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (CommunicatieToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:code[(@code = '445046002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d39e16380-false-d84140e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommunicatieToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="string(@code) = ('445046002')">(CommunicatieToelichtingAct): de waarde van code MOET '445046002' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="@displayName">(CommunicatieToelichtingAct): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(CommunicatieToelichtingAct): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(CommunicatieToelichtingAct): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(CommunicatieToelichtingAct): attribuut @codeSystemName MOET datatype 'st' hebben  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9017
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:text
Item: (CommunicatieToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:text"
         id="d39e16395-false-d84181e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommunicatieToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9017
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:text/hl7:reference
Item: (CommunicatieToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9017']]/hl7:text/hl7:reference"
         id="d39e16402-false-d84198e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9017-2019-10-15T142218.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommunicatieToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:URL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
