<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9016
Name: Medische Toelichting Act
Description: 
                 Act met medische toelichting 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126">
   <title>Medische Toelichting Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9016
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]
Item: (MedischeToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]"
         id="d39e16290-false-d83882e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="string(@classCode) = ('ACT')">(MedischeToelichtingAct): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="string(@moodCode) = ('EVN')">(MedischeToelichtingAct): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']) &gt;= 1">(MedischeToelichtingAct): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']) &lt;= 1">(MedischeToelichtingAct): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="count(hl7:code[(@code = '58741000146107' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(MedischeToelichtingAct): element hl7:code[(@code = '58741000146107' and @codeSystem = '2.16.840.1.113883.6.96')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="count(hl7:code[(@code = '58741000146107' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(MedischeToelichtingAct): element hl7:code[(@code = '58741000146107' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="count(hl7:text) &gt;= 1">(MedischeToelichtingAct): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="count(hl7:text) &lt;= 1">(MedischeToelichtingAct): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9016
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']
Item: (MedischeToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']"
         id="d39e16296-false-d83949e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedischeToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.9016')">(MedischeToelichtingAct): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.9016' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9016
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:code[(@code = '58741000146107' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (MedischeToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:code[(@code = '58741000146107' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d39e16301-false-d83969e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedischeToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="string(@code) = ('58741000146107')">(MedischeToelichtingAct): de waarde van code MOET '58741000146107' zijn. Gevonden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="@displayName">(MedischeToelichtingAct): attribute @displayName MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(MedischeToelichtingAct): attribuut @displayName MOET datatype 'st' hebben  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(MedischeToelichtingAct): de waarde van codeSystem MOET '2.16.840.1.113883.6.96' zijn. Gevonden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(MedischeToelichtingAct): attribuut @codeSystemName MOET datatype 'st' hebben  - '<value-of select="@codeSystemName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9016
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:text
Item: (MedischeToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:text"
         id="d39e16316-false-d84010e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedischeToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9016
Context: //hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:text/hl7:reference
Item: (MedischeToelichtingAct)
-->
   <rule fpi="RULC-1"
         context="//hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9016']]/hl7:text/hl7:reference"
         id="d39e16323-false-d84027e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20210318T085422/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9016-2019-10-15T141126.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedischeToelichtingAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:URL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
